Bug 923153 - Broken update path of culmus-fonts
Summary: Broken update path of culmus-fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: culmus-fonts
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-19 10:11 UTC by Miroslav Suchý
Modified: 2013-04-25 00:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-25 00:46:27 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2013-03-19 10:11:38 UTC
Description of problem:
yum upgrade will report errors (see bottom of this comment).
This is cause by removing subpackage culmus-fonts-compat from spec recently.
And can workarounded by manually running:
rpm -e culmus-fonts-compat

You should add Obsolotes and Provides:
http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

In this case probably add to culmus-fonts-common:
Provides: culmus-fonts-compat = 0.121-4
Obsoletes: culmus-fonts-compat < 0.121-4

How reproducible:
deterministic

Steps to Reproduce:
1. Have Fedora 18, which is upgraded from past releases, so culmus-fonts-compat was installed as dependency in past
2. Try to upgrade to most recent package
  
Actual results:
yum error - see additional info

Expected results:
flawless upgrade

Additional info:
--> Finished Dependency Resolution
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-keteryg-fonts = 0.121-3.fc18
           Removing: culmus-keteryg-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-keteryg-fonts = 0.121-3.fc18
           Updated By: culmus-keteryg-fonts-0.121-4.fc18.noarch (fedora)
               culmus-keteryg-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-stamsefarad-clm-fonts = 0.121-3.fc18
           Removing: culmus-stamsefarad-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-stamsefarad-clm-fonts = 0.121-3.fc18
           Updated By: culmus-stamsefarad-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-stamsefarad-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-stamashkenaz-clm-fonts = 0.121-3.fc18
           Removing: culmus-stamashkenaz-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-stamashkenaz-clm-fonts = 0.121-3.fc18
           Updated By: culmus-stamashkenaz-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-stamashkenaz-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-miriam-clm-fonts = 0.121-3.fc18
           Removing: culmus-miriam-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-miriam-clm-fonts = 0.121-3.fc18
           Updated By: culmus-miriam-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-miriam-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-aharoni-clm-fonts = 0.121-3.fc18
           Removing: culmus-aharoni-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-aharoni-clm-fonts = 0.121-3.fc18
           Updated By: culmus-aharoni-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-aharoni-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-fonts-common = 0.121-3.fc18
           Removing: culmus-fonts-common-0.121-3.fc18.noarch (@fedora)
               culmus-fonts-common = 0.121-3.fc18
           Updated By: culmus-fonts-common-0.121-4.fc18.noarch (fedora)
               culmus-fonts-common = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-ellinia-clm-fonts = 0.121-3.fc18
           Removing: culmus-ellinia-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-ellinia-clm-fonts = 0.121-3.fc18
           Updated By: culmus-ellinia-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-ellinia-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-drugulin-clm-fonts = 0.121-3.fc18
           Removing: culmus-drugulin-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-drugulin-clm-fonts = 0.121-3.fc18
           Updated By: culmus-drugulin-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-drugulin-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-simple-clm-fonts = 0.121-3.fc18
           Removing: culmus-simple-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-simple-clm-fonts = 0.121-3.fc18
           Updated By: culmus-simple-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-simple-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-miriam-mono-clm-fonts = 0.121-3.fc18
           Removing: culmus-miriam-mono-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-miriam-mono-clm-fonts = 0.121-3.fc18
           Updated By: culmus-miriam-mono-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-miriam-mono-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-hadasim-clm-fonts = 0.121-3.fc18
           Removing: culmus-hadasim-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-hadasim-clm-fonts = 0.121-3.fc18
           Updated By: culmus-hadasim-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-hadasim-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-yehuda-clm-fonts = 0.121-3.fc18
           Removing: culmus-yehuda-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-yehuda-clm-fonts = 0.121-3.fc18
           Updated By: culmus-yehuda-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-yehuda-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-david-clm-fonts = 0.121-3.fc18
           Removing: culmus-david-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-david-clm-fonts = 0.121-3.fc18
           Updated By: culmus-david-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-david-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-nachlieli-clm-fonts = 0.121-3.fc18
           Removing: culmus-nachlieli-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-nachlieli-clm-fonts = 0.121-3.fc18
           Updated By: culmus-nachlieli-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-nachlieli-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-caladings-clm-fonts = 0.121-3.fc18
           Removing: culmus-caladings-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-caladings-clm-fonts = 0.121-3.fc18
           Updated By: culmus-caladings-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-caladings-clm-fonts = 0.121-4.fc18
Error: Package: culmus-fonts-compat-0.121-3.fc18.noarch (@fedora)
           Requires: culmus-frank-ruehl-clm-fonts = 0.121-3.fc18
           Removing: culmus-frank-ruehl-clm-fonts-0.121-3.fc18.noarch (@fedora)
               culmus-frank-ruehl-clm-fonts = 0.121-3.fc18
           Updated By: culmus-frank-ruehl-clm-fonts-0.121-4.fc18.noarch (fedora)
               culmus-frank-ruehl-clm-fonts = 0.121-4.fc18

Comment 1 Pravin Satpute 2013-03-19 12:28:32 UTC
Recently removed compat package from culmus-fonts. I will fix this. Thanks for reporting.

Comment 2 Fedora Update System 2013-03-20 09:13:53 UTC
culmus-fonts-0.130-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/culmus-fonts-0.130-1.fc18

Comment 3 Fedora Update System 2013-03-22 00:04:20 UTC
Package culmus-fonts-0.130-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing culmus-fonts-0.130-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4148/culmus-fonts-0.130-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-25 00:46:29 UTC
culmus-fonts-0.130-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.